 

#import "LandscapeViewController.h"

@implementation LandscapeViewController

@synthesize oneImage, imageOnBackGround;

- (void)viewDidLoad
{
   
   
}

- (void)touchesBegan:(NSSet *)touches withEvent:(UIEvent *)event {
	if ( [[event allTouches] count] >= 1 ) //double touch brings gives next window
	{
		[self addLogo];
	}
 
}

- (void)touchesMoved:(NSSet *)touches withEvent:(UIEvent *)event {
	
}

- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
	
	
}

-(void)addLogo {
	
	imageOnBackGround  =  [[UIImageView alloc] initWithImage: [UIImage imageNamed:@"crosslab.png"]];
	imageOnBackGround.center = CGPointMake(self.view.bounds.size.width/2, self.view.bounds.size.height/2);
	[self.view addSubview:imageOnBackGround];
	
	
}

// the designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil])
	{
        //self.wantsFullScreenLayout = YES; // we want to overlap the status bar.
        
		// when presented, we want to display using a cross dissolve
		self.modalTransitionStyle = UIModalTransitionStyleCrossDissolve;
        
      
    }
    return self;
}

- (void)viewWillAppear:(BOOL)animated


{
    [super viewWillAppear:animated];
    
    oldStatusBarStyle = [[UIApplication sharedApplication] statusBarStyle];
    [[UIApplication sharedApplication] setStatusBarStyle:UIStatusBarStyleBlackTranslucent animated:NO];
    
    UIImage *myImage = [UIImage imageWithContentsOfFile:[[NSBundle mainBundle] pathForResource:@"nova.jpg" ofType:nil]];
    oneImage = [[UIImageView alloc] initWithImage:myImage];
    [self.view addSubview:oneImage];
    oneImage.center = CGPointMake(self.view.bounds.size.width/2, self.view.bounds.size.height/2);

}

- (void)viewWillDisappear:(BOOL)animated
{
     [imageOnBackGround removeFromSuperview];
    
    [super viewWillDisappear:animated];
    
    [[UIApplication sharedApplication] setStatusBarStyle:oldStatusBarStyle animated:NO];    
}

// override to allow orientations other than the default portrait orientation
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    // return YES for supported orientations
    return UIInterfaceOrientationIsLandscape(interfaceOrientation);
}

- (void)dealloc
{
    [imageOnBackGround release];
    [oneImage release];
}



@end

